Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class PrimitiveArrayAdapter.ByteArrayAdapter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.run.xml.PropertyAdapter
com.tangosol.run.xml.IterableAdapter
com.tangosol.run.xml.PrimitiveArrayAdapter
com.tangosol.run.xml.PrimitiveArrayAdapter.ByteArrayAdapter`

All Implemented Interfaces:
  Serializable

Enclosing class:
  PrimitiveArrayAdapter

      public static class PrimitiveArrayAdapter.ByteArrayAdapter

extends PrimitiveArrayAdapter

A PropertyAdapter supporting byte[].

Version:
  1.00 2001.03.17
Author:
  cp

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.run.xml.PrimitiveArrayAdapter
`PrimitiveArrayAdapter.BooleanArrayAdapter, PrimitiveArrayAdapter.ByteArrayAdapter, PrimitiveArrayAdapter.CharArrayAdapter, PrimitiveArrayAdapter.DoubleArrayAdapter, PrimitiveArrayAdapter.FloatArrayAdapter, PrimitiveArrayAdapter.IntArrayAdapter, PrimitiveArrayAdapter.LongArrayAdapter, PrimitiveArrayAdapter.ShortArrayAdapter`

Field Summary

Fields inherited from class com.tangosol.run.xml.IterableAdapter
`m_fEmptyIsNull, m_fSparse, m_sElement`

Fields inherited from class com.tangosol.run.xml.PropertyAdapter
`m_clzType, m_fAttribute, m_infoBean, m_methodClone, m_methodGet, m_methodSet, m_sName, m_sNmsPrefix, m_sNmsUri, m_sXml, NOPARAMS`

Constructor Summary
`PrimitiveArrayAdapter.ByteArrayAdapter(XmlBean.BeanInfo infoBean, Class clzType, String sName, String sXml, XmlElement xml)` Construct a ByteArrayAdapter.

Method Summary
`Object` | `clone(Object o)` Make a clone of the passed object.
`boolean` | `equalsValue(Object o1, Object o2)` Compare the two passed objects for equality.
`Object` | `fromUri(String sUri)` Deserialize an object from a URI element.
`Object` | `fromXmlString(XmlElement xml)` Deserialize a primitive array from a single XML element.
`int` | `hash(Object o)` Compute a hash code for the passed object.
`boolean` | `isEmpty(Object o)` Determine if the specified value is empty.
`boolean` | `isStringable()`
`Object` | `readArray(Iterator iter, XmlElement xml, boolean fNested)` Read an array of primitive values.
`Object` | `readExternal(DataInput in)` Read a value from the passed DataInput object.
`Object` | `readSparseArray(Iterator iter, int c)` Read a sparse array of primitive values.
`String` | `toUri(Object o)` Serialize an object into a URI element.
`XmlElement` | `toXmlString(Object o)` Serialize a primitive array into a single XML element.
`void` | `writeArray(XmlElement xml, Object o, String sElement)` Write a sparse array of primitive values.
`void` | `writeExternal(DataOutput out, Object o)` Write the specified data to the passed DataOutput object.
`void` | `writeSparseArray(XmlElement xml, Object o, String sElement)` Write a sparse array of primitive values.

Methods inherited from class com.tangosol.run.xml.PrimitiveArrayAdapter
`fromXml, readElements, readXml, toXml, writeElements, writeXml`

Methods inherited from class com.tangosol.run.xml.IterableAdapter
`findAdapter, getElementName, isCloneRequired, isEmptyIsNull, isNested, isSparse`

Methods inherited from class com.tangosol.run.xml.PropertyAdapter
`findAttribute, findElement, get, getAccessor, getBeanInfo, getCloner, getElements, getLocalXmlName, getMutator, getName, getNamespacePrefix, getNamespaceUri, getType, getXmlName, isAnonymous, isAttribute, isElementMatch, set, setNamespacePrefix, toString`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### PrimitiveArrayAdapter.ByteArrayAdapter

    public PrimitiveArrayAdapter.ByteArrayAdapter(XmlBean.BeanInfo infoBean,
                                                  Class clzType,
                                                  String sName,
                                                  String sXml,
                                                  XmlElement xml)

  Construct a ByteArrayAdapter.
  Parameters:
    `infoBean` - BeanInfo for a bean containing this property
    `clzType` - the type of the property
    `sName` - the property name
    `sXml` - the XML tag name
    `xml` - additional XML information

Method Detail

### hash

    public int hash(Object o)

  Compute a hash code for the passed object.
  Specified by:
    `hash` in class `PrimitiveArrayAdapter`
  Parameters:
    `o` - the object to compute a hash code for
  Returns:
    an integer hash code

### equalsValue

    public boolean equalsValue(Object o1,
                               Object o2)

  Compare the two passed objects for equality.
  Specified by:
    `equalsValue` in class `PrimitiveArrayAdapter`
  Parameters:
    `o1` - the first object
    `o2` - the second object
  Returns:
    true if the two objects are equal

### clone

    public Object clone(Object o)

  Make a clone of the passed object.
  Specified by:
    `clone` in class `PrimitiveArrayAdapter`
  Parameters:
    `o` - the object to clone
  Returns:
    a clone of the passed object

### fromXmlString

    public Object fromXmlString(XmlElement xml)

  Deserialize a primitive array from a single XML element.
  Overrides:
    `fromXmlString` in class `PrimitiveArrayAdapter`
  Parameters:
    `xml` - the XML element to deserialize from (not null)
  Returns:
    the object deserialized from the XML element
  Throws:
    `UnsupportedOperationException` - if the property cannot be read from a single XML element

### toXmlString

    public XmlElement toXmlString(Object o)

  Serialize a primitive array into a single XML element.
  Overrides:
    `toXmlString` in class `PrimitiveArrayAdapter`
  Parameters:
    `o` - the object to serialize (not null)
  Returns:
    the XML element representing the serialized form of the passed object
  Throws:
    `UnsupportedOperationException` - if the property cannot be written to a single XML element

### isStringable

    public boolean isStringable()

  Overrides:
    `isStringable` in class `PrimitiveArrayAdapter`
  Returns:
    true if the adapter can format the array of primitive values to/from a single value (e.g. char[], byte[])

### isEmpty

    public boolean isEmpty(Object o)

  Determine if the specified value is empty.
  Overrides:
    `isEmpty` in class `PropertyAdapter`
  Parameters:
    `o` - the value
  Returns:
    true if the object is considered to be empty for persistence and XML-generation purposes

### readSparseArray

    public Object readSparseArray(Iterator iter,
                                  int c)

  Read a sparse array of primitive values.
  Specified by:
    `readSparseArray` in class `PrimitiveArrayAdapter`
  Parameters:
    `iter` - the iterator of XmlElement objects
    `c` - the size of the array
  Returns:
    an array of primitive values

### readArray

    public Object readArray(Iterator iter,
                            XmlElement xml,
                            boolean fNested)

  Read an array of primitive values.
  Specified by:
    `readArray` in class `PrimitiveArrayAdapter`
  Parameters:
    `iter` - the iterator of XmlElement objects
    `xml` - the XmlElement from which the iterator was obtained
    `fNested` - true if the array is nested under an array tag
  Returns:
    an array of primitive values

### writeSparseArray

    public void writeSparseArray(XmlElement xml,
                                 Object o,
                                 String sElement)

  Write a sparse array of primitive values.
  Specified by:
    `writeSparseArray` in class `PrimitiveArrayAdapter`
  Parameters:
    `xml` - the XmlElement that will contain the array
    `o` - the primitive array
    `sElement` - the name of the element containing an element value

### writeArray

    public void writeArray(XmlElement xml,
                           Object o,
                           String sElement)

  Write a sparse array of primitive values.
  Specified by:
    `writeArray` in class `PrimitiveArrayAdapter`
  Parameters:
    `xml` - the XmlElement that will contain the array elements
    `o` - the primitive array
    `sElement` - the name of the element containing an element value

### fromUri

    public Object fromUri(String sUri)

  Deserialize an object from a URI element.
  Overrides:
    `fromUri` in class `PropertyAdapter`
  Parameters:
    `sUri` - the URI element to deserialize from
  Returns:
    the object deserialized from the URI element
  Throws:
    `UnsupportedOperationException` - if the property cannot be read from a URI element

### toUri

    public String toUri(Object o)

  Serialize an object into a URI element.
  Overrides:
    `toUri` in class `PropertyAdapter`
  Parameters:
    `o` - the object to serialize
  Returns:
    the URI element representing the serialized form of the passed object
  Throws:
    `UnsupportedOperationException` - if the property cannot be written to a URI element

### readExternal

    public Object readExternal(DataInput in)
                        throws IOException

  Read a value from the passed DataInput object.
  Overrides:
    `readExternal` in class `PropertyAdapter`
  Parameters:
    `in` - the DataInput stream to read property data from
  Returns:
    the data read from the DataInput; never null
  Throws:
    `IOException` - if an I/O exception occurs

### writeExternal

    public void writeExternal(DataOutput out,
                              Object o)
                       throws IOException

  Write the specified data to the passed DataOutput object.
  Overrides:
    `writeExternal` in class `PropertyAdapter`
  Parameters:
    `out` - the DataOutput stream to write to
    `o` - the data to write to the DataOutput; never null
  Throws:
    `IOException` - if an I/O exception occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.